'use strict';

/**
 * @ngdoc overview
 * @name kasseApp
 * @description
 * # kasseApp
 *
 * Main module of the application.
 */
angular
    .module('kasseApp', [
        'ngAnimate',
        'ngCookies',
        'ngResource',
        'ngRoute',
        'ngSanitize',
        'ngTouch'
    ])
    .config(function ($routeProvider) {
        $routeProvider
            .when('/', {
                templateUrl: 'views/main.html',
                controller: 'MainCtrl'
            })
            .when('/overview', {
                templateUrl: 'views/overview.html',
                controller: 'OverviewCtrl'
            })
            .otherwise({
                redirectTo: '/'
            });
    });
